Index: lib/mpl_toolkits/mplot3d/axes3d.py
===================================================================
--- lib/mpl_toolkits/mplot3d/axes3d.py	(revision 7836)
+++ lib/mpl_toolkits/mplot3d/axes3d.py	(working copy)
@@ -769,6 +769,8 @@
                     also be a tuple of specific levels.
         *extend3d*  Whether to extend contour in 3D (default: False)
         *stride*    Stride (step size) for extending contour
+        *offset*    if None z-values corresponds to Z,
+                    otherwise to offset
         ==========  ================================================
 
         Other keyword arguments are passed on to
@@ -777,8 +779,10 @@
 
         extend3d = kwargs.pop('extend3d', False)
         stride = kwargs.pop('stride', 5)
-        nlevels = kwargs.pop('nlevels', 15)
-
+        # Please notice: The following kwargs isn't used at all:
+        #nlevels = kwargs.pop('nlevels', 15)
+        offset = kwargs.pop('offset', None)
+        
         had_data = self.has_data()
         cset = Axes.contour(self, X, Y, Z, levels, **kwargs)
 
@@ -786,7 +790,10 @@
             self._3d_extend_contour(cset, stride)
         else:
             for z, linec in zip(cset.levels, cset.collections):
-                art3d.line_collection_2d_to_3d(linec, z)
+                if offset is None:
+                    art3d.line_collection_2d_to_3d(linec, z)
+                else:
+                    art3d.line_collection_2d_to_3d(linec, offset)
 
         self.auto_scale_xyz(X, Y, Z, had_data)
         return cset
Index: examples/mplot3d/contour3d_demo.py
===================================================================
--- examples/mplot3d/contour3d_demo.py	(revision 7836)
+++ examples/mplot3d/contour3d_demo.py	(working copy)
@@ -6,6 +6,7 @@
 X, Y, Z = axes3d.get_test_data(0.05)
 cset = ax.contour(X, Y, Z)
 ax.clabel(cset, fontsize=9, inline=1)
+cset2 = ax.contour(X, Y, Z, offset=-60.0)
 
 plt.show()
 
